add_executable(pano_cli
    main.cpp)
target_link_libraries(pano_cli PRIVATE
    pp_project_options
    pp_project_warnings
    pp_app_core
    pp_foundation
    pp_assets
    pp_document
    pp_paint_renderer
    pp_renderer_api
    pp_ui_core)

if(TARGET pp_renderer_gl)
    target_link_libraries(pano_cli PRIVATE
        pp_renderer_gl)
    target_compile_definitions(pano_cli PRIVATE
        PP_PANO_CLI_ENABLE_OPENGL_PLAN=1)
endif()
